Bug 1464090 - python-exabgp: Provide a Python 3 subpackage
python-exabgp: Provide a Python 3 subpackage
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: python-exabgp (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Hinds
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2017-06-22 08:14 EDT by Iryna Shcherbina
Modified: 2017-08-15 04:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iryna Shcherbina 2017-06-22 08:14:34 EDT
Upstream, this software supports Python 3 [0]. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 26 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://github.com/Exa-Networks/exabgp/releases/tag/4.0.0
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/
Comment 1 Luke Hinds 2017-06-22 08:37:11 EDT
Thanks Iryna, will start on this early next week, which will coincide with the next upstream release due.
Comment 2 Luke Hinds 2017-06-26 09:17:23 EDT
Spec URL: https://raw.githubusercontent.com/lukehinds/ExaBGP-Packaging/master/python-exabgp.spec
SRPM URL: https://github.com/lukehinds/ExaBGP-Packaging/raw/master/python-exabgp-4.0.1-1.fc25.src.rpm

Hi Iryna,

Putting the spec / srpm so i can run fedora-review.

The above works ok with mock, but koji is failing: https://koji.fedoraproject.org/koji/taskinfo?taskID=20183757

I am quite sure the spec breaks the DRY principle a fair amount, but could not work out how to share areas of %file operations between both 2&3.

If you have any feedback, please do let me know.
Comment 3 Luke Hinds 2017-07-06 13:48:31 EDT
This has been completed now:
https://apps.fedoraproject.org/packages/python-exabgp
Comment 4 Iryna Shcherbina 2017-07-18 05:46:44 EDT
Hi Luke,

thanks for adding a Python 3 subpackage.

I would like to point out that although you have added a %check section you are not running any tests. As far as I see, upstream runs tests with the following commands [0]:

> nosetests-2 ./qa/tests/*_test.py
> nosetests-3 ./qa/tests/*_test.py

So you may add a build dependency on python2/3-nose and run them as well.

[0] https://github.com/Exa-Networks/exabgp/blob/master/.travis.yml#L26
Comment 5 Jan Kurik 2017-08-15 04:26:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.